Add a new interest rate tier to an existing purse.

This endpoint allows Partners to add Interest Rate Tiers to an existing primary and savings purses.

Notes:
• The interestYieldStartDate will be set to the current date, if you are adding an interestRateTier to the purse for the first time.
• If the interestYieldStartDate is not provided, the accountCycleDay will be on or after the current date of the request.
• If the purse already has an interestRateTier applied, then the interestYieldStartDate will be set to the next anniversary of the billing cycle.
• The next anniversary of the billing cycle will be returned as the accountCycleDay in the POST /enrollments, GET /accounts, and GET /enrollments endpoint responses.
• The interestYieldEndDate of the previous Interest Rate Tier on the purse is automatically set to the day before the new Interest Rate.
• If the purse has no Interest Rate Tiers applied yet, and autoAlignStartDate is False then the interestYieldStartDate is set to the current date of the request, otherwise it is set to the date provided in the request. On the new additional tiers, when the autoAlignStartDate is True, the interestYieldStartDate is set to start on the next accountCycleDay (Bill Cycle Date).

Path Params
string
required

The program code associated with the request.

string
required

The account identifier (GUID format) for which to add the interest rate tier.

string
required

The purse identifier (GUID format) for which to add the interest rate tier.

Body Params

The request object containing details of the interest rate tier to add.

string
required

Gets or sets the interest rate tier to be added. This value is required.

string | null

Gets or sets the start date for interest yield calculation, in ISO 8601 format (yyyy-MM-dd). Optional. If not provided, the system may determine the start date automatically.

boolean | null

Gets or sets a value indicating whether the interest yield start date should be auto-aligned. Optional. If true, the system will automatically align the start date.

Headers
string
required

The unique request identifier from the X-GD-RequestId header.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json